;
;	>>> SV2K17 Invitro by JAC! - Winners don't use ANTIC <<<
;
;	An 16k (F6) demo for the Atari 2600.
;	Supports PAL50, NTSC60, PAL60, NTSC60.
;	Created for Sillyventure 2017 in Gdansk.
;	Code and graphics by JAC!, sound by Glafouk, text by Grey.
;	Created using WUDSN IDE - http://www.wudsn.com.
;
;	V0.1-2013-07-09 (sine scroll,rink a dink intro, pre-party version 2013)
;	V0.2-2014-08-26 (restarted pre-party version 2014)
;	V0.3-2017-04-25 (restarted pre-party version 2017)
;	V1.0-2017-06-30 (released version)
;
;	Controls:
;	Press "Reset" (F2) switch to restart the demo.
;	Press "Select" (F1) skip to the next part.
;	Use "Color/BW" (F3/F4) switch to select "PAL/NTSC" mode.
;	Use "Left Player Difficulty" switch (F5/F6) switch to select "PAL50/NTSC60" and "PAL60/NTSC50" mode.
;	Use "Right Player Difficulty" switch (F7/F8) switch to select double/single width character mode.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;
; 	Screen Type NTSC  PAL/SECAM
; 	V-Sync      3     3    scanlines
; 	V-Blank     37    45   scanlines (upper border)
; 	Picture     192   228  scanlines
; 	Overscan    30    36   scanlines (lower border)
; 	Frame Rate  60    50   Hz
; 	Frame Time  262   312  scanlines

	.def strict_mode		;Enable timing checks to detect errors

;===============================================================

	icl "SV2K17-Common-Globals.asm";Common constants, enums, equates and macros. 

;===============================================================

	m_bank_start 0			;Main loop, logo and sound

	.proc bank0
	current_bank = 0
	icl "SV2K17-Common-Code.asm"

	.byte 10,'SV2K17 by JAC! 2017-06-30',10,13

	icl "SV2K17-Object.asm"
	icl "SV2K17-Main.asm"

	.proc effect
	icl "sound/SV2K17-Sound.asm"
	icl "scroll/SV2K17-Scroll-Globals.asm"
	icl "scroll/SV2K17-Scroll.asm"
	icl "scroll/SV2K17-Scroll-Frames-Common.asm"
	.proc frames
	icl "scroll/frames/SV2K17-Scroll-Frame-0.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-15.asm"
	.endp
	.proc rink
	icl "rink/SV2K17-Rink-Globals.asm"
	icl "rink/SV2K17-Rink-VBlank.asm"
	icl "rink/SV2K17-Rink-Playfield.asm"
	.endp
	.endp

	m_bank_end 0
	.endp				;End of bank0

;==============================================================

	m_bank_start 1
	.proc bank1
	current_bank	= 1
	icl "SV2K17-Common-Code.asm"

	.proc effect
	icl "logo/SV2K17-Logo.asm"
	icl "scroll/SV2K17-Scroll-Globals.asm"
	icl "scroll/SV2K17-Scroll-Text.asm"
	icl "rink/SV2K17-Rink.asm"
	.endp

	m_bank_end 1			;End of bank1
	.endp

;===============================================================

	m_bank_start 2
	.proc bank2
	current_bank	= 2
	icl "SV2K17-Common-Code.asm"

	.proc effect
	icl "scroll/SV2K17-Scroll-Globals.asm"
	icl "scroll/SV2K17-Scroll-Frames-Common.asm"
	.proc frames
	icl "scroll/frames/SV2K17-Scroll-Frame-5.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-6.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-7.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-8.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-12.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-10.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-11.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-17.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-18.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-19.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-20.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-23.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-27.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-28.asm"

	.endp

	.endp				;End of effect

	.endp				;End of bank2
	m_bank_end 2

;==============================================================

	m_bank_start 3
	.proc bank3
	current_bank	= 3
	icl "SV2K17-Common-Code.asm"

	.proc effect
	icl "scroll/SV2K17-Scroll-Globals.asm"
	icl "scroll/SV2K17-Scroll-Frames-Common.asm"
	.proc frames
	icl "scroll/frames/SV2K17-Scroll-Frame-1.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-2.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-3.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-4.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-9.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-13.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-14.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-16.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-21.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-22.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-24.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-25.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-26.asm"
	icl "scroll/frames/SV2K17-Scroll-Frame-29.asm"

	.endp

	.proc rink
	icl "rink/SV2K17-Rink-Globals.asm"
	icl "rink/SV2K17-Rink-Init.asm"
	.endp

	.endp				;End of effect

	.endp				;End of bank3
	m_bank_end 3
