;	>>> SV2K17 Invitro-Rink by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;	Inspired by Rink a Dink Redux loading screen by Lemon.
;
;	This module requires 0 volatile bytes.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../SV2K17.asm

	.proc rink

	icl "SV2K17-Rink-Globals.asm"

;===============================================================

	.proc vblank_continued		;IN: <Y>
	ldx fade_line_height

copy_fade_loop
	lda fade_temp
	cmp #16
	bcc store_color			;Fade up

	lda (colors_ptr),y		;Set color
	pha
	and #$f0
	sta color_temp			;Store chroma
	pla
	and #15
	sta brightness_temp		;Store luma

	lda fade_temp
	and #15
	eor #15
	adc brightness_temp
	cmp #15
	bcc color_ok
	lda #15				;Max out to maximum luma
color_ok
	ora color_temp			;Add chroma
store_color
	jmp vblank_continued2
	.endp

;	m_align_page 'picture'		;Put here to keep alignment gap small
	.byte 42
	icl "SV2K17-Rink-Picture.asm"

	.proc vblank_continued2
	sta fade_colors,x
	dey
	dex
	jpl vblank_continued.copy_fade_loop
	rts
	.endp
	.proc playfield_continued

	.use bank3.effect.rink

	.proc fixed_section

	lda fade_line_offset
	beq no_fixed
	sta kernel_zp.loop_count
	jsr kernel_zp
no_fixed
	lda #0
	sta colupf
	.endp

	.proc faded_section
	mwa #fade_colors kernel_zp.colors_address

	lda kernel_zp.sprite_offset1
	sec
	sbc fade_line_height
	sta kernel_zp.sprite_offset1
	sta kernel_zp.sprite_offset2
	sta kernel_zp.sprite_offset3
	sta kernel_zp.sprite_offset4
	sta kernel_zp.sprite_offset5
	sta kernel_zp.sprite_offset6
	lda fade_line_height
	sec
	sbc #1
	sta kernel_zp.loop_count
	jsr kernel_zp
	.endp

	lda #0
	sta wsync
	sta colupf
	sta grp0
	sta grp1
	sta vdelp0
	sta vdelp1

	lda #frame_height+frame_padding_bottom
	sec
	sbc fade_line_offset
	sbc fade_line_height
	bcc no_fill
do_fill	sta wsync
	sbc #1
	bcs do_fill
no_fill
	rts

	.endp				;End of playfield_continued

	.endp				;End of rink

	m_info rink