;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../SV2K17.asm

	.macro m_end_frame
	rts
	.endm

;===============================================================

	.macro m_lda_xpos_char	;IN: player character
	.if :2=0
	lda xpos_cnt
	sta colup0+:1
	.else
	lda xpos_tab+:2-1
	sta colup0+:1
	.endif
	.endm

;===============================================================
;	mx_set_hpos p0		Set hpos of player 0 and clear grp1
;	mx_set_hpos p1 grp0	Set hpos of player 1 and store <X> in grp0

	.macro mx_set_hpos	;Set hpos of player clear or set other player graphics
	.if :0 = 1
	jsr object.set_hpos_:1
	.else
	jsr object.set_hpos_:1_:2
	.endif	
	.endm

;===============================================================

	.macro m_set_hpos	;:1=p0 or p1, :2 = stx :2
;	sta colubk		;u:1
	sta wsync		;3
	.if :0 = 2
	stx :2+$2000		;4
	.else
	nop
	nop
	.endif
	sec			;2
loop	sbc #$0f		;2 => 5*3 pixel = 15 pixel per interation 
	bcs loop		;2 => 5 cycles per iteration, branch must not cross page-boundary
	eor #$07		;2
	asl			;2
	asl			;2
	asl			;2
	asl			;2
	sta res:1		;4
	sta hm:1		;4 => Fine positioning value
	sta wsync
	sta hmove
	.if (loop & $ff > $fc )
	.error "ERROR: m_set_hpos.loop=",loop
	.endif
	.endm

;===============================================================

	org *			;Start of bank

start_of_common

	.proc object

set_hpos_p0			;Set hpos p0 and clear p1
	ldx #0
	.proc set_hpos_p0_grp1
	m_set_hpos p0 grp1	;IN: <X>=grp1 data
	rts
	.endp
	m_assert_same_page set_hpos_p0_grp1

set_hpos_p1			;Set hpos p1 and clear p0
	ldx #0
	.proc set_hpos_p1_grp0
	m_set_hpos p1 grp0
	rts
	.endp	
	m_assert_same_page set_hpos_p1_grp0

store_grp0_grp1_r7
	jsr store_grp0_grp1
store_grp0_grp1_r6
	jsr store_grp0_grp1
store_grp0_grp1_r5
	jsr store_grp0_grp1
store_grp0_grp1_r4
	jsr store_grp0_grp1
store_grp0_grp1_r3
	jsr store_grp0_grp1
store_grp0_grp1_r2
	jsr store_grp0_grp1
store_grp0_grp1_r1
	.proc store_grp0_grp1
with_sync
	sta wsync
without_sync
	lda char_tab,x
	sta grp0
	lda char_tab,y
	sta grp1
	inx
	iny
	rts
	.endp

	.proc store_grp0_gr1_from_xy
	stx grp0
	sty grp1
	rts
	.endp
	
store_grp0_r7
	jsr store_grp0
store_grp0_r6
	jsr store_grp0
store_grp0_r5
	jsr store_grp0
store_grp0_r4
	jsr store_grp0
store_grp0_r3
	jsr store_grp0
store_grp0_r2
	jsr store_grp0
store_grp0_r1
	.proc store_grp0
with_sync
	sta wsync
without_sync
	lda char_tab,x
	sta grp0
	lda #0
	sta grp1
	inx
;	sta hmclr
	rts
	.endp

store_grp1_r7
	jsr store_grp1
store_grp1_r6
	jsr store_grp1
store_grp1_r5
	jsr store_grp1
store_grp1_r4
	jsr store_grp1
store_grp1_r3
	jsr store_grp1
store_grp1_r2
	jsr store_grp1
store_grp1_r1
	.proc store_grp1
with_sync
	sta wsync
without_sync	
	lda char_tab,y	;4
	sta grp1	;3
	lda #0		;2
	sta grp0	;3
	iny		;2
;	sta hmclr
	rts
	.endp

	.proc clear_grp0_grp1
with_sync
	sta wsync
without_sync
	lda #0
	sta grp0
	sta grp1
;	sta hmclr
	rts
	.endp

	.proc wait_and_hmclr
	pha
	pla
	sta hmclr
	rts
	.endp

	.endp			;End of object


	.proc wait_wsync
r16	sta wsync ;Line 123
r15	sta wsync ;Line 124
r14	sta wsync ;Line 125
r13	sta wsync ;Line 126
r12	sta wsync ;Line 127
r11	sta wsync ;Line 128
r10	sta wsync ;Line 129
r9	sta wsync ;Line 130
r8	sta wsync ;Line 131
r7	sta wsync ;Line 132
r6	sta wsync ;Line 133
r5	sta wsync ;Line 134
r4	sta wsync ;Line 135
r3	sta wsync ;Line 136
r2	sta wsync ;Line 137
r1	sta wsync ;Line 138
	rts
	.endp

end_of_common
	.print "Size of Scroll common block: ", end_of_common-start_of_common+1