;	>>> SV2K17 Invitro - Scroll by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;	Early Atari 800XL test code.

p1	= $80
p2	= $82
fcnt	= $90
xoffset	= $91
cnt	= $ff

N	= 12
AMPLITUDE = 161
FRAME_COUNT = 29
FRAME_WIDTH = N*12

	.macro m_info
	.print ":1: " , :1, " - ", :1 + .len :1 -1, " (", .len :1,")"
	.endm

	org $2000

	lda #4
	sta 704
	sta 705
	
	lda #$74
	sta 706
;	lda #$c8
	sta 707
	

	lda #$0f
	sta $d00d
	sta $d00e
	sta $d00f
	sta $d010

	lda #$30
	sta $d000
	lda #$c0
	sta $d001

	lda #0
	sta 559
	sta cnt
	sta xoffset
restart
	mva #0 fcnt
	mwa #player0_index p1
	mwa #player1_index p2

kernel	lda $d40b
	bne *-3

	lda #15
sync	cmp $d40b
	bne *-3
	sta $d40a

	ldy #0
loop	lda (p1),y
	tax
	lda xpos_tab-1,x
	sta $d40a
	sta $d002
	lda xcol_tab-1,x
	sta $d014
	lda (p2),y
	tax
	lda xpos_tab-1,x
	sta $d003
	lda xcol_tab-1,x
	sta $d015
	iny
	cpy #AMPLITUDE
	bne loop
	lda #0
	sta $d40a
	sta $d002
	sta $d003

	inc cnt
	lda cnt
	and #3
;	bne no_next
	lda $d20f
	and #12
	cmp #12
	beq no_next

	jsr move_soft

	adw p1 #AMPLITUDE
	adw p2 #AMPLITUDE
	inc fcnt
	lda fcnt
	cmp #FRAME_COUNT
	bne no_next
	jsr move_hard
	
	jmp restart
no_next	jmp kernel

	.proc move_soft
	ldx #.len xpos_tab-1
move_loop
	lda xpos_tab,x
	sec
	sbc #1
	cmp #$30
	bcs no_overflow
	adc #FRAME_WIDTH
no_overflow
	sta xpos_tab,x
	dex
	bpl move_loop
	rts
	.endp

	.proc move_hard
	lda xpos_tab+N-1
	pha
	lda xcol_tab+N-1
	pha
	ldx #N-2
move_loop
	lda xpos_tab,x
	sta xpos_tab+1,x
	lda xcol_tab,x
	sta xcol_tab+1,x
	dex
	bpl move_loop
	pla
	sta xcol_tab
	pla
	sta xpos_tab
	rts
	.endp

	.align 256

	.byte 0
	.local xpos_tab
	.byte $30,$3c,$48,$54,$60,$6c,$78,$84,$90,$9c,$a8,$b4
	.endl

	.byte 0
	.local xcol_tab
	.byte $30,$3c,$48,$54,$60,$6c,$78,$84,$90,$9c,$a8,$b4
	.endl
	

	.local player0_index
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0
	.byte $0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0
	.byte $0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0,$0
	.byte $0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0
	.byte $0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0,$0
	.byte $0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0
	.byte $0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0
	.byte $0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0,$0
	.byte $0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0
	.byte $0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0
	.byte $0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0
	.byte $0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.byte $9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0
	.endl
	.local player1_index
	.byte $0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0
	.byte $0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0
	.byte $0,$0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0
	.byte $0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0
	.byte $0,$0,$0,$9,$9,$9,$9,$9,$9,$9,$9,$9,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0
	.byte $0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$8,$8,$8,$8,$8,$8,$8,$8,$8,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0
	.byte $0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$6,$6,$6,$6,$6,$6,$6,$6,$6,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$5,$5,$5,$5,$5,$5,$5,$5,$5,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0
	.byte $0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$4,$4,$4,$4,$4,$4,$4,$4,$4,$0,$0,$0,$0,$0
	.byte $0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0
	.byte $0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0
	.byte $0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0
	.byte $0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0,$0
	.byte $0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.byte $0,$0,$0,$0,$0,$0,$0,$0,$0,$a,$a,$a,$a,$a,$a,$a,$a,$a,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$b,$b,$b,$b,$b,$b,$b,$b,$b,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$c,$c,$c,$c,$c,$c,$c,$c,$c,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$1,$1,$1,$1,$1,$1,$1,$1,$1,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$2,$2,$2,$2,$2,$2,$2,$2,$2,$0,$3,$3,$3,$3,$3,$3,$3,$3,$3,$0,$0,$0
	.endl
	
	m_info player0_index
	m_info player1_index